Download it now!
Bug 132787 - Duplicate gnome icon theme installed
Summary: Duplicate gnome icon theme installed
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
6.4.3.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Chris Mayo
URL: http://document-foundation-mail-archi...
Whiteboard: target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-06 18:38 UTC by Chris Mayo
Modified: 2020-11-10 11:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch stopping duplicate gnome icon theme being installed (795 bytes, patch)
2020-05-06 18:42 UTC, Chris Mayo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Mayo 2020-05-06 18:38:57 UTC
Description:
The hicolor icon theme installed in /usr/share/icons/hicolor/ is unnecessarily duplicated in /usr/share/icons/gnome/ on a Linux GNOME desktop.

See the problem in Ubuntu 20.04:

https://packages.ubuntu.com/focal/all/libreoffice-common/filelist


Actual Results:
 

Expected Results:
 


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Chris Mayo 2020-05-06 18:42:13 UTC
Created attachment 160467 [details]
Patch stopping duplicate gnome icon theme being installed

This patch fixes the problem for me.

Perhaps worth considering renaming the KDEMAINDIR variable because this is being used to install the hicolor theme.
Comment 2 Chris Mayo 2020-05-08 09:40:16 UTC
Submitted as:

https://gerrit.libreoffice.org/c/core/+/93712
Comment 3 Chris Mayo 2020-05-23 15:01:54 UTC
The issue can also be seen by looking at the contents of:
libreofficedev7.0-freedesktop-menus-7.0.0-0.noarch.rpm
Comment 4 Julien Nabet 2020-06-06 18:07:48 UTC
Andreas/Rizal: thought you might be interested in this one since it concerns icons.

I also in URL field the link to Chris' message related to this issue in Dev forum.
Comment 5 Commit Notification 2020-07-24 09:07:57 UTC
Chris Mayo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a26a5bb71c32c1cf8c5ad4d2ef79f3ece5065a02

tdf#132787: Don't duplicate hicolor icon theme as gnome

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-24 12:47:13 UTC
Chris Mayo committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/61959578de5e9a1c536517bcccc1da0fe6c7159c

tdf#132787: Don't duplicate hicolor icon theme as gnome

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-07-26 17:02:51 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7bc59ed5fd2b0ec128235bb43109f7495c482ec1

Revert "tdf#132787: Don't duplicate hicolor icon theme as gnome"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-26 17:05:03 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/56068a50e35c4700ff8215648ea12934bb7d53ba

Revert "tdf#132787: Don't duplicate hicolor icon theme as gnome"

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Chris Mayo 2020-07-27 18:44:14 UTC
Needs someone who can test deb and rpm creation (and understands links made in freedesktop-menus.spec file).
Comment 10 Chris Mayo 2020-11-02 19:42:44 UTC
New ticket with changes to deb and rpm creation:

https://gerrit.libreoffice.org/c/core/+/105200
Comment 11 Commit Notification 2020-11-10 11:47:19 UTC
Chris Mayo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c5650ab0671c8e4800c8ac3adfe2380059d4a61

tdf#132787: Don't duplicate hicolor icon theme as gnome

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.